API SpecificationPRIVATExeonr.auth.private.v1.OrganisationService
Delete Identity Provider
Authorization
BearerAuth AuthorizationBearer <token>
JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
identityProviderId?string
Length
1 <= length <= 64[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.OrganisationService/DeleteIdentityProvider" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Create Password Identity Provider POST
Previous Page
Delete User POST
Permanently deletes an organisation user and every resource they own (sessions, OAuth grants, linked identities, passkeys, two-factor enrolment, application access and user-owned OAuth clients). Irreversible. Upstream identity-provider accounts are not deleted, only their link to the organisation.